All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.webapp.contextsharing
Class WebappContextParams

    com.sas.webapp.contextsharing.WebappContextParams

    public class WebappContextParams

This class encapsulates the setting and getting of shared data between web applications.

## Usage

To use this class for setting parameters, use the constructor which takes a SessionContextInterface and a startURL. Then call the various set methods to set the needed data. When done setting the data, call the getURL method to get the full URL that should be used to start the application.

To use this class for getting parameters, use the constructor which takes a HttpServletRequest. then call the various get methods needed. When you are done with the parameter data (not the session context), call the term method to cleanup the shared parameters.

Since:
  07NOV2002

Constructor Summary
`WebappContextParams(com.sas.services.session.SessionContextInterface sessionContext)` Constructs the class with the intent of populating the context parameters.
`WebappContextParams(com.sas.services.session.SessionContextInterface sessionContext, java.lang.String url)` Constructs the class with the intent of populating the context parameters and then calling the getURL method to get the full URL.
`WebappContextParams(com.sas.services.session.SessionContextInterface sessionContext, java.lang.String url, boolean shouldReceiverDestroyWACP)` Constructs the class with the intent of populating the context parameters and then calling the getURL method to get the full URL.
`WebappContextParams(com.sas.services.user.UserContextInterface user, javax.servlet.http.HttpServletRequest request)` Constructs the class with the intent of reading the context parameters.
`WebappContextParams(com.sas.services.user.UserContextInterface user, javax.servlet.http.HttpServletRequest request, boolean useRemoteServices)` Constructs the class with the intent of reading the context parameters.
`WebappContextParams(com.sas.services.user.UserContextInterface user, javax.servlet.http.HttpServletRequest request, com.sas.webapp.components.services.ServicesManager servicesManager)` Constructs the class with the intent of reading the context parameters.

Method Summary
`static void` | `cleanSessionParams(com.sas.services.session.SessionContextInterface sessionContext, java.lang.String sessionRequestId)` Removes the context parameters from the session.
`java.lang.String` | `getParamRequestAction()` Gets the PFS_REQUEST_ACTION parameter.
`RequestActionMenuData[]` | `getParamRequestActionmenu()` Gets the PFS_REQUEST_ACTIONMENU parameter.
`java.lang.String` | `getParamRequestAuthDomain()` Gets the PFS_REQUEST_AUTH_DOMAIN parameter.
`java.util.List` | `getParamRequestBackdescriptionList()` Gets the PFS_REQUEST_BACKDESCRIPTION_LIST parameter.
`java.lang.String` | `getParamRequestBacklabel()` Deprecated. Use getParamRequestBacklabelList instead.
`java.util.List` | `getParamRequestBacklabelList()` Gets the PFS_REQUEST_BACKLABEL_LIST parameter.
`java.lang.String` | `getParamRequestBackurl()` Deprecated. Use getParamRequestBackurlList instead.
`java.util.List` | `getParamRequestBackurlList()` Gets the PFS_REQUEST_BACKURL_LIST parameter.
`java.lang.Object` | `getParamRequestEntity()` Gets the PFS_REQUEST_ENTITY parameter.
`java.lang.String` | `getParamRequestEntitykey()` Gets the PFS_REQUEST_ENTITYKEY parameter.
`java.lang.String` | `getParamRequestLogoffurl()` Gets the PFS_REQUEST_LOGOFFURL parameter.
`java.lang.String` | `getParamRequestPathUrl()` Gets the PFS_REQUEST_PATH_URL parameter.
`java.lang.String` | `getParamRequestSource()` Gets the PFS_REQUEST_SOURCE parameter.
`java.lang.String` | `getParamRequestTimeoutBackurl()` The location to return to if the webapp times out.
`java.lang.String` | `getParamRequestType()` Gets the PFS_REQUEST_TYPE parameter.
`java.lang.String` | `getPortletid()` Returns the PORTAL_PORTLETID parameter.
`static com.sas.services.session.SessionContextInterface` | `getRemoteSessionContext(com.sas.services.user.UserContextInterface privlUser, java.lang.String sessionKey)` Gets the remote SessionContext for the specified sessionKey using the privleged UserContext
`java.util.Map` | `getRequestParams()` Returns the map of request parameters.
`com.sas.services.session.SessionContextInterface` | `getSessionContext()` Returns the session context for this class.
`static com.sas.services.session.SessionContextInterface` | `getSessionContext(java.lang.String sessionKey)` Gets the session context for the specified sessionKey.
`static com.sas.services.session.SessionContextInterface` | `getSessionContext(java.lang.String sessionKey, boolean useRemoteServices)` Deprecated.
`static com.sas.services.session.SessionContextInterface` | `getSessionContext(com.sas.services.user.UserContextInterface user, java.lang.String sessionKey, boolean useRemoteServices)` Gets the SessionContext for the specified sessionKey.
`static com.sas.services.session.SessionContextInterface` | `getSessionContext(com.sas.services.user.UserContextInterface user, java.lang.String sessionKey, com.sas.services.session.SessionServiceInterface sessionService)` Gets the SessionContext for the specified sessionKey and SessionService
`java.lang.String` | `getSessionId()` Returns the session id for this class.
`java.lang.String` | `getSessionKeyParam()` Returns the key parameter that can be used to find a remote SessionContext
`java.lang.String` | `getSessionRequestId()` Returns the request parameters id.
`java.lang.String` | `getStartURL()` Returns the starting url string before any other parameters are added.
`java.lang.String` | `getURL()` Returns the full url based on the starting url and the parameters that were set.
`void` | `setParamRequestAction(java.lang.String requestAction)` Sets the PFS_REQUEST_ACTION parameter.
`void` | `setParamRequestActionmenu(RequestActionMenuData[] requestActionmenu)` Sets the PFS_REQUEST_ACTIONMENU parameter.
`void` | `setParamRequestAuthDomain(java.lang.String authDomain)` Sets the PFS_REQUEST_AUTH_DOMAIN parameter.
`void` | `setParamRequestBackdescriptionList(java.util.List requestBackdescList)` Sets the PFS_REQUEST_BACKDESCRIPTION_LIST parameter.
`void` | `setParamRequestBacklabel(java.lang.String requestBacklabel)` Deprecated. Use setParamRequestBacklabelList instead.
`void` | `setParamRequestBacklabelList(java.util.List requestBacklabelList)` Sets the PFS_REQUEST_BACKLABEL_LIST parameter.
`void` | `setParamRequestBackurl(java.lang.String requestBackurl)` Deprecated. Use setParamRequestBackurlList instead.
`void` | `setParamRequestBackurlList(java.util.List requestBackurlList)` Sets the PFS_REQUEST_BACKURL_LIST parameter.
`void` | `setParamRequestEntity(java.lang.Object requestEntity)` Sets the PFS_REQUEST_ENTITY parameter.
`void` | `setParamRequestEntitykey(java.lang.String requestEntitykey)` Sets the PFS_REQUEST_ENTITYKEY parameter.
`void` | `setParamRequestLogoffurl(java.lang.String requestLogoffurl)` Sets the PFS_REQUEST_LOGOFFURL parameter.
`void` | `setParamRequestPathUrl(java.lang.String requestPathUrl)` Sets the PFS_REQUEST_PATH_URL parameter.
`void` | `setParamRequestSource(java.lang.String requestSource)` Sets the PFS_REQUEST_SOURCE parameter.
`void` | `setParamRequestTimeoutBackurl(java.lang.String requestBackurl)` Sets the PFS_REQUEST_TIMEOUT_BACKURL parameter.
`void` | `setParamRequestType(java.lang.String requestType)` Sets the PFS_REQUEST_TYPE parameter.
`void` | `setPortletid(java.lang.String portletid)` Sets the PORTAL_PORTLETID parameter.
`void` | `setStartURL(java.lang.String startURL)`
`void` | `term()` Removes the context parameters from the session.

Constructor Detail

### WebappContextParams

    public WebappContextParams(com.sas.services.session.SessionContextInterface sessionContext,
                               java.lang.String url,
                               boolean shouldReceiverDestroyWACP)
                        throws java.rmi.RemoteException

  Constructs the class with the intent of populating the context parameters and then calling the getURL method to get the full URL.

  Parameters:
    `sessionContext` - The session context that is to be shared with the web application.
    `url` - The url for the web application (before the parameters are added to it.
  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.

### WebappContextParams

    public WebappContextParams(com.sas.services.session.SessionContextInterface sessionContext,
                               java.lang.String url)
                        throws java.rmi.RemoteException

  Constructs the class with the intent of populating the context parameters and then calling the getURL method to get the full URL.

  Parameters:
    `sessionContext` - The session context that is to be shared with the web application.
    `url` - The url for the web application (before the parameters are added to it.
  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.

### WebappContextParams

    public WebappContextParams(com.sas.services.session.SessionContextInterface sessionContext)
                        throws java.rmi.RemoteException

  Constructs the class with the intent of populating the context parameters. Does not create the full url. Session key can be accessed via the getSessionKeyParam method

  Parameters:
    `sessionContext` - The session context that is to be shared with the web application.
  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.

### WebappContextParams

    public WebappContextParams(com.sas.services.user.UserContextInterface user,
                               javax.servlet.http.HttpServletRequest request)
                        throws com.sas.services.InitializationException,
                               java.rmi.RemoteException,
                               com.sas.services.ServiceException

  Constructs the class with the intent of reading the context parameters. It will use remote services to get the session context.

  Parameters:
    `user` - The identity of the caller of this method
    `request` - The request object from the servlet that is used to retrieve the parameters from.
  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.
    `com.sas.services.InitializationException` - If there is an error getting a service.
    `com.sas.services.ServiceException` - If there is an error in the service.

### WebappContextParams

    public WebappContextParams(com.sas.services.user.UserContextInterface user,
                               javax.servlet.http.HttpServletRequest request,
                               boolean useRemoteServices)
                        throws com.sas.services.InitializationException,
                               java.rmi.RemoteException,
                               com.sas.services.ServiceException

  Constructs the class with the intent of reading the context parameters.

  Parameters:
    `user` - Identity of the user making this call
    `request` - The request object from the servlet that is used to retrieve the parameters from.
    `useRemoteServices` - true if remote services should be used to retreive the session context, false otherwise.
  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.
    `com.sas.services.InitializationException` - If there is an error getting a service.
    `com.sas.services.ServiceException` - If there is an error in the service.

### WebappContextParams

    public WebappContextParams(com.sas.services.user.UserContextInterface user,
                               javax.servlet.http.HttpServletRequest request,
                               com.sas.webapp.components.services.ServicesManager servicesManager)
                        throws com.sas.services.InitializationException,
                               java.rmi.RemoteException,
                               com.sas.services.ServiceException

  Constructs the class with the intent of reading the context parameters.

  Parameters:
    `user` - Identity of the user making this call
    `request` - The request object from the servlet that is used to retrieve the parameters from.
    `useRemoteServices` - true if remote services should be used to retreive the session context, false otherwise.
  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.
    `com.sas.services.InitializationException` - If there is an error getting a service.
    `com.sas.services.ServiceException` - If there is an error in the service.

Method Detail

### term

    public void term()
              throws java.rmi.RemoteException

  Removes the context parameters from the session. Any parameters that need special clean-up should implement the WebappContextParamsCleanupInterface interface so that its cleanup method. NOTE: this method should only be called by the RECEIVING application (ctor with HttpServletRequest).

  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.

### getSessionKeyParam

    public java.lang.String getSessionKeyParam()
                                        throws java.rmi.RemoteException

  Returns the key parameter that can be used to find a remote SessionContext

  Returns:
    name=value
  Throws:
    `java.rmi.RemoteException` - If there is a communications error.

### getURL

    public java.lang.String getURL()
                            throws java.rmi.RemoteException

  Returns the full url based on the starting url and the parameters that were set.

  Returns:
    The full url.
  Throws:
    `java.rmi.RemoteException` - If there is a communications error.

### getSessionContext

    public com.sas.services.session.SessionContextInterface getSessionContext()

  Returns the session context for this class. It can return null if the session id was not set in the http request.

  Returns:
    The session context for this class.

### getSessionId

    public java.lang.String getSessionId()

  Returns the session id for this class. It can return null if the session id was not set in the http request.

  Returns:
    The session id for this class.

### getStartURL

    public java.lang.String getStartURL()

  Returns the starting url string before any other parameters are added.

  Parameters:
    `The` - starting url string.

### getRequestParams

    public java.util.Map getRequestParams()

  Returns the map of request parameters. It can return null if the session request id was not specified in the http request or there were no parameters added.

  Returns:
    The map of request parameters.

### getSessionRequestId

    public java.lang.String getSessionRequestId()

  Returns the request parameters id. It can return null if the session request id was not specified in the http request or there were no parameters added.

  Returns:
    The request parameters id.

### getPortletid

    public java.lang.String getPortletid()

  Returns the PORTAL_PORTLETID parameter.

  Returns:
    The PORTAL_PORTLETID.

### getParamRequestType

    public java.lang.String getParamRequestType()

  Gets the PFS_REQUEST_TYPE parameter.

  Returns:
    The PFS_REQUEST_TYPE parameter.

### getParamRequestSource

    public java.lang.String getParamRequestSource()

  Gets the PFS_REQUEST_SOURCE parameter.

  Returns:
    The PFS_REQUEST_SOURCE parameter.

### getParamRequestAction

    public java.lang.String getParamRequestAction()

  Gets the PFS_REQUEST_ACTION parameter.

  Returns:
    The PFS_REQUEST_ACTION parameter.

### getParamRequestEntity

    public java.lang.Object getParamRequestEntity()

  Gets the PFS_REQUEST_ENTITY parameter.

  Returns:
    The PFS_REQUEST_ENTITY parameter.

### getParamRequestEntitykey

    public java.lang.String getParamRequestEntitykey()

  Gets the PFS_REQUEST_ENTITYKEY parameter.

  Returns:
    The PFS_REQUEST_ENTITYKEY parameter.

### getParamRequestPathUrl

    public java.lang.String getParamRequestPathUrl()

  Gets the PFS_REQUEST_PATH_URL parameter.

  Returns:
    The PFS_REQUEST_PATH_URL parameter.

### getParamRequestActionmenu

    public RequestActionMenuData[] getParamRequestActionmenu()

  Gets the PFS_REQUEST_ACTIONMENU parameter.

  Returns:
    The PFS_REQUEST_ACTIONMENU parameter.

### getParamRequestBackurl

    public java.lang.String getParamRequestBackurl()

  Deprecated. Use getParamRequestBackurlList instead.

  Gets the PFS_REQUEST_BACKURL parameter.

  Returns:
    The PFS_REQUEST_BACKURL parameter.

### getParamRequestTimeoutBackurl

    public java.lang.String getParamRequestTimeoutBackurl()

  The location to return to if the webapp times out.

  Returns:
    String The PFS_REQUEST_TIMEOUT_BACKURL parameter.

### getParamRequestBacklabel

    public java.lang.String getParamRequestBacklabel()

  Deprecated. Use getParamRequestBacklabelList instead.

  Gets the PFS_REQUEST_BACKLABEL parameter.

  Returns:
    The PFS_REQUEST_BACKLABEL parameter.

### getParamRequestBackurlList

    public java.util.List getParamRequestBackurlList()

  Gets the PFS_REQUEST_BACKURL_LIST parameter.

  Returns:
    The PFS_REQUEST_BACKURL_LIST parameter.

### getParamRequestBacklabelList

    public java.util.List getParamRequestBacklabelList()

  Gets the PFS_REQUEST_BACKLABEL_LIST parameter.

  Returns:
    The PFS_REQUEST_BACKLABEL_LIST parameter.

### getParamRequestBackdescriptionList

    public java.util.List getParamRequestBackdescriptionList()

  Gets the PFS_REQUEST_BACKDESCRIPTION_LIST parameter.

  Returns:
    The PFS_REQUEST_BACKDESCRIPTION_LIST parameter.

### getParamRequestLogoffurl

    public java.lang.String getParamRequestLogoffurl()

  Gets the PFS_REQUEST_LOGOFFURL parameter.

  Returns:
    The PFS_REQUEST_LOGOFFURL parameter.

### getParamRequestAuthDomain

    public java.lang.String getParamRequestAuthDomain()

  Gets the PFS_REQUEST_AUTH_DOMAIN parameter.

  Returns:
    The PFS_REQUEST_AUTH_DOMAIN parameter.

### setPortletid

    public void setPortletid(java.lang.String portletid)
                      throws java.rmi.RemoteException

  Sets the PORTAL_PORTLETID parameter.

  Parameters:
    `The` - value to add to the PORTAL_PORTLETID key.
  Throws:
    `java.rmi.RemoteException`

### setParamRequestType

    public void setParamRequestType(java.lang.String requestType)
                             throws java.rmi.RemoteException

  Sets the PFS_REQUEST_TYPE parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_TYPE key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestSource

    public void setParamRequestSource(java.lang.String requestSource)
                               throws java.rmi.RemoteException

  Sets the PFS_REQUEST_SOURCE parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_SOURCE key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestAction

    public void setParamRequestAction(java.lang.String requestAction)
                               throws java.rmi.RemoteException

  Sets the PFS_REQUEST_ACTION parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_ACTION key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestEntity

    public void setParamRequestEntity(java.lang.Object requestEntity)
                               throws java.rmi.RemoteException

  Sets the PFS_REQUEST_ENTITY parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_ENTITY key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestEntitykey

    public void setParamRequestEntitykey(java.lang.String requestEntitykey)
                                  throws java.rmi.RemoteException

  Sets the PFS_REQUEST_ENTITYKEY parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_ENTITYKEY key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestPathUrl

    public void setParamRequestPathUrl(java.lang.String requestPathUrl)
                                throws java.rmi.RemoteException

  Sets the PFS_REQUEST_PATH_URL parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_PATH_URL key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestActionmenu

    public void setParamRequestActionmenu(RequestActionMenuData[] requestActionmenu)
                                   throws java.rmi.RemoteException

  Sets the PFS_REQUEST_ACTIONMENU parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_ACTIONMENU key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestBackurl

    public void setParamRequestBackurl(java.lang.String requestBackurl)
                                throws java.rmi.RemoteException

  Deprecated. Use setParamRequestBackurlList instead.

  Sets the PFS_REQUEST_BACKURL parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_BACKURL key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestTimeoutBackurl

    public void setParamRequestTimeoutBackurl(java.lang.String requestBackurl)
                                       throws java.rmi.RemoteException

  Sets the PFS_REQUEST_TIMEOUT_BACKURL parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_TIMEOUT_BACKURL key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestBacklabel

    public void setParamRequestBacklabel(java.lang.String requestBacklabel)
                                  throws java.rmi.RemoteException

  Deprecated. Use setParamRequestBacklabelList instead.

  Sets the PFS_REQUEST_BACKLABEL parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_BACKLABEL key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestBackurlList

    public void setParamRequestBackurlList(java.util.List requestBackurlList)
                                    throws java.rmi.RemoteException

  Sets the PFS_REQUEST_BACKURL_LIST parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_BACKURL_LIST key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestBacklabelList

    public void setParamRequestBacklabelList(java.util.List requestBacklabelList)
                                      throws java.rmi.RemoteException

  Sets the PFS_REQUEST_BACKLABEL_LIST parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_BACKLABEL_LIST key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestBackdescriptionList

    public void setParamRequestBackdescriptionList(java.util.List requestBackdescList)
                                            throws java.rmi.RemoteException

  Sets the PFS_REQUEST_BACKDESCRIPTION_LIST parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_BACKDESCTIPTION_LIST key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestLogoffurl

    public void setParamRequestLogoffurl(java.lang.String requestLogoffurl)
                                  throws java.rmi.RemoteException

  Sets the PFS_REQUEST_LOGOFFURL parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_LOGOFFURL key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setParamRequestAuthDomain

    public void setParamRequestAuthDomain(java.lang.String authDomain)
                                   throws java.rmi.RemoteException

  Sets the PFS_REQUEST_AUTH_DOMAIN parameter.

  Parameters:
    `The` - value to add to the PFS_REQUEST_AUTH_DOMAIN key.
  Throws:
    `java.rmi.RemoteException` - If there is an error creating the parameters map.

### setStartURL

    public void setStartURL(java.lang.String startURL)

  Parameters:
    `starting` - url string before any other parameters are added.

### getSessionContext

    public static com.sas.services.session.SessionContextInterface getSessionContext(java.lang.String sessionKey)
                                                                              throws com.sas.services.InitializationException,
                                                                                     java.rmi.RemoteException,
                                                                                     com.sas.services.ServiceException

  Gets the session context for the specified sessionKey. It will use remote services to get the session context.

  Parameters:
    `sessionKey` - The session key that specifies the session context.
  Returns:
    The session context.
  Throws:
    `com.sas.services.InitializationException`
    `java.rmi.RemoteException`
    `com.sas.services.ServiceException`

### getSessionContext

    public static com.sas.services.session.SessionContextInterface getSessionContext(java.lang.String sessionKey,
                                                                                     boolean useRemoteServices)
                                                                              throws com.sas.services.InitializationException,
                                                                                     java.rmi.RemoteException,
                                                                                     com.sas.services.ServiceException

  Deprecated.

  Gets the session context for the specified sessionKey.

  Parameters:
    `sessionKey` - The session key that specifies the session context.
    `useRemoteServices` - true if remote services should be used to retreive the session context, false otherwise.
  Returns:
    The session context.
  Throws:
    `com.sas.services.InitializationException`
    `java.rmi.RemoteException`
    `com.sas.services.ServiceException`

### getRemoteSessionContext

    public static com.sas.services.session.SessionContextInterface getRemoteSessionContext(com.sas.services.user.UserContextInterface privlUser,
                                                                                           java.lang.String sessionKey)
                                                                                    throws com.sas.services.InitializationException,
                                                                                           java.rmi.RemoteException,
                                                                                           com.sas.services.ServiceException

  Gets the remote SessionContext for the specified sessionKey using the privleged UserContext

  Parameters:
    `user` - The privleged user
    `sessionKey` - The session key that specifies the session context.
  Returns:
    The session context.
  Throws:
    `com.sas.services.InitializationException`
    `java.rmi.RemoteException`
    `com.sas.services.ServiceException`

### getSessionContext

    public static com.sas.services.session.SessionContextInterface getSessionContext(com.sas.services.user.UserContextInterface user,
                                                                                     java.lang.String sessionKey,
                                                                                     boolean useRemoteServices)
                                                                              throws com.sas.services.InitializationException,
                                                                                     java.rmi.RemoteException,
                                                                                     com.sas.services.ServiceException

  Gets the SessionContext for the specified sessionKey.

  Parameters:
    `user` - The user calling the method
    `sessionKey` - The session key that specifies the session context.
    `useRemoteServices` - true if remote services should be used to retreive the session context, false otherwise.
  Returns:
    The session context.
  Throws:
    `com.sas.services.InitializationException`
    `java.rmi.RemoteException`
    `com.sas.services.ServiceException`

### getSessionContext

    public static com.sas.services.session.SessionContextInterface getSessionContext(com.sas.services.user.UserContextInterface user,
                                                                                     java.lang.String sessionKey,
                                                                                     com.sas.services.session.SessionServiceInterface sessionService)
                                                                              throws com.sas.services.InitializationException,
                                                                                     java.rmi.RemoteException,
                                                                                     com.sas.services.ServiceException

  Gets the SessionContext for the specified sessionKey and SessionService

  Parameters:
    `user` - The user calling the method
    `sessionKey` - The session key that specifies the session context.
    `SessionServiceInterface` -
  Returns:
    The session context.
  Throws:
    `com.sas.services.InitializationException`
    `java.rmi.RemoteException`
    `com.sas.services.ServiceException`

### cleanSessionParams

    public static void cleanSessionParams(com.sas.services.session.SessionContextInterface sessionContext,
                                          java.lang.String sessionRequestId)
                                   throws java.rmi.RemoteException

  Removes the context parameters from the session. Any parameters that need special clean-up should implement the WebappContextParamsCleanupInterface interface so that its cleanup method. NOTE: this method should only be called by the RECEIVING application.

  Parameters:
    `sessionContext` - The session context that holds the context parameters.
    `sessionRequestId` - The id of the context parameters within the session context.
  Throws:
    `java.rmi.RemoteException` - If there is an error communicating.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.